`<joinGrp>` | (join group) groups a collection of `<join>` elements and possibly pointers.
Attributes: |
`result` | describes the result of the joins gathered in this collection.
| Datatype: CDATA
| Values: where specified on a `<joinGrp>` element, it supplies the default value for the `result` on each `<join>` included within the group.
| Default: #IMPLIED
`desc` | (description) a brief phrase describing the virtual elements created by the joins in this collection.
| Datatype: CDATA
| Values: any string of characters.
| Default: #IMPLIED
Note | The `desc` attribute may be used to give a brief description of the virtual elements jointed in this `<joinGrp>` if their function and significance are not obvious.

Example

    <joinGrp result='q' targType='q' domains='zuitxt' >
      <join  targets='zuiq1 zuiq2 zuiq6'>
      <join  targets='zuiq3 zuiq4 zuiq5'>
    </joinGrp>

Tagset additional tag set for
Class metadata, pointerGroup [and indirectly also:] globincl, pointer
Filename `teilink2.dtd`
Content: Any number of joins, pointers or extended pointers.
Parents[none]
Children join ptr xptr
Declaration

    <!ELEMENT joinGrp       - -  ((join | ptr | xptr)*)             >
    <!ATTLIST joinGrp            %a.global
                                 %a.pointerGroup
              result             CDATA               #IMPLIED
              desc               CDATA               #IMPLIED       >

See 14.7

Back to index